| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.WindowBringer

Portability | unportable
Stability | unstable
Maintainer | Devin Mullins <me@twifkak.com>

Contents

Usage

Description
dmenu operations to bring windows to you, and bring you to windows. That is to say, it pops up a dmenu with window names, in case you forgot where you left your XChat.
Synopsis

gotoMenu :: X ()
bringMenu :: X ()
windowMap :: X (Map String Window)
bringWindow :: Window -> WindowSet -> WindowSet

Usage

Import the module into your `~/.xmonad/xmonad.hs`:

     import XMonad.Actions.WindowBringer

and define appropriate key bindings:

     , ((modMask x .|. shiftMask, xK_g     ), gotoMenu)
     , ((modMask x .|. shiftMask, xK_b     ), bringMenu)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

gotoMenu :: X () | Source

Pops open a dmenu with window titles. Choose one, and you will be taken to the corresponding workspace.

bringMenu :: X () | Source

Pops open a dmenu with window titles. Choose one, and it will be dragged, kicking and screaming, into your current workspace.

windowMap :: X (Map String Window) | Source

A map from window names to Windows.

bringWindow :: Window -> WindowSet -> WindowSet | Source

Brings the specified window into the current workspace.
Produced by Haddock version 2.4.2